# $Revision: 1.56 $, $Date: 2008/07/27 22:17:55 $
%include	/usr/lib/rpm/macros.perl
Summary:	A text formatting package based on SGML
Summary(de.UTF-8):	Textformatierungssystem, das vom Linux Documentation Project benutzt wird
Summary(fr.UTF-8):	Système de formattage de texte utilisé par le Linux Documentation Project
Summary(nl.UTF-8):	Tekstformateringssysteem welke door het Linux Documentatie Project wordt gebruikt
Summary(pl.UTF-8):	Narzędzia konwertujące do linuxdoc-dtd
Summary(tr.UTF-8):	GNU belge biçimlendirme sistemi
Name:		sgml-tools
Version:	1.0.9
Release:	22
License:	Freeware
Group:		Applications/Publishing/SGML
Source0:	http://www.consultronics.com/~cdegroot/sgmltools/dist/%{name}-%{version}.tar.gz
# Source0-md5:	41187c94c4c112253543c50a834c223c
Source1:	sgml2info.1.pl
Source2:	sgml2txt.1.pl
Patch0:		%{name}-%{version}-egcs.patch
Patch1:		%{name}-%{version}-fixsgml2latex.patch
Patch2:		%{name}-%{version}-fixconfigure.patch
Patch3:		%{name}-buildroot.patch
Patch4:		%{name}-manfix.patch
Patch5:		%{name}-datadir.patch
Patch6:		%{name}-sgml-path.patch
Patch7:		%{name}-posix.patch
URL:		http://www.sgmltools.org/
BuildRequires:	autoconf
BuildRequires:	flex
BuildRequires:	groff
BuildRequires:	openjade
BuildRequires:	rpm-perlprov
Requires:	/usr/bin/nsgmls
Requires:	sgmls
Requires:	sgml-common
Obsoletes:	linuxdoc-sgml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SGMLtools is a text formatting package based on SGML (Standard
Generalized Markup Language). SGMLtools allows you to produce LaTeX,
HTML, GNU info, LyX, RTF, plain text (via groff), and other format
outputs from a single SGML source. SGMLtools is intended for writing
technical software documentation.

%description -l de.UTF-8
SGMLtools ist ein Textformatierer auf SGML-Basis, der eine Vielzahl
von Ausgabeformaten erzeugen kann. Sie können aus einer einzigen
SGML-Quelldatei PostScript-, dvi- (mit LaTeX), Nur-Text- (mit groff),
HTML- und texinfo-Dateien erstellen.

%description -l fr.UTF-8
SGMLtools est un formatteur de texte basé sur SGML qui vous permet de
produire de nombreux formats de fichiers de sortie. vous pouvez créer
du PostScript et du dvi (avec LaTeX), du texte simple (avec groff), du
HTML, et des fichiers texinfo depuis un simple fichier SGML.

%description -l pl.UTF-8
SGMLtools jest bazującym na SGML (a dokładniej na LinuxDoc) pakietem
służącym do formatowania tekstu. Wchodzące w skład pakietu narzędzia
pozwalają na wygenerowanie ze źródła w SGML dokumentów w formatach
LaTeX, HTML, GNU info, LyX, RTF, tekstowym (przy użyciu groff-a).
SGMLtools przeznaczone są do pisania dokumentacji technicznej
oprogramowania.

%description -l tr.UTF-8
SGMLtools, SGML tabanlı değişik biçimlerde çıktılar üretmenizi
sağlayan bir metin biçimleyicisidir. PostScript, dvi (LaTeX ile), düz
metin (groff ile), HTML dosyalarını tek bir SGML kaynak dosyasından
yaratabilirsiniz.

%description -l nl.UTF-8
SGMLtools is een op SGML gebaseerd tekstverwerkingssyteem waarmee een
aantal verschillende andere bestanden kan worden gemaakt. Uitvoer is
mogelijk in: ASCII, DVI, HTML, LaTeX, PostScript en RTF (Windows help)

%package dtd
Summary:	linuxdoc DTD
Summary(pl.UTF-8):	linuxdoc DTD
Group:		Applications/Publishing/SGML

%description dtd
LinuxDoc DTD.

%description dtd -l pl.UTF-8
LinuxDoc DTD.

%package -n sgmls
Summary:	sgmls
Summary(pl.UTF-8):	sgmls
Version:	1.1
Group:		Applications/Publishing/SGML

%description -n sgmls
sgmls - a validating SGML parser.

%description -n sgmls -l pl.UTF-8
sgmls - parser sprawdzający poprawność SGML.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cd sgmls-1.1
%{__make} config.h \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
cd ../entity-map
%{__autoconf}
cd ../iso-entities
%{__autoconf}
cd ..
%{__autoconf}
%configure \
	--with-installed-nsgmls

%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/pl/man1

%makeinstall \
	libdir=$RPM_BUILD_ROOT%{_datadir}/sgml-tools \
	perl5libdir=$RPM_BUILD_ROOT%{perl_vendorlib}

cd sgmls-1.1
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
%{__make} install.man \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
cd ..

install sgmls-1.1/sgmls		$RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/sgmls.pl	$RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/rast		$RPM_BUILD_ROOT%{_bindir}
install sgmls-1.1/sgmls.man	$RPM_BUILD_ROOT%{_mandir}/man1/sgmls.1
install sgmls-1.1/sgmlsasp.man	$RPM_BUILD_ROOT%{_mandir}/man1/sgmlsasp.1
install sgmls-1.1/rast.man	$RPM_BUILD_ROOT%{_mandir}/man1/rast.1

install %{SOURCE1}	$RPM_BUILD_ROOT%{_mandir}/pl/man1/sgml2info.1
install %{SOURCE2}	$RPM_BUILD_ROOT%{_mandir}/pl/man1/sgml2txt.1

install -d $RPM_BUILD_ROOT%{_datadir}/sgml/sgml-tools
install $RPM_BUILD_ROOT%{_datadir}/sgml-tools/dtd/* $RPM_BUILD_ROOT%{_datadir}/sgml/sgml-tools

find $RPM_BUILD_ROOT%{_bindir} -type f -o -type l | \
	grep -v nsgmls | sed "s|$RPM_BUILD_ROOT||g" > file.list

cat > doc/COPYRIGHT <<EOF
(C) International Organization for Standardization 1986
Permission to copy in any form is granted for use with
conforming SGML systems and applications as defined in
ISO 8879, provided this notice is included in all copies.
EOF

rm -rf $RPM_BUILD_ROOT%{_datadir}/sgml/iso-entities-8879.1986

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -L %{_libdir}/sgml-tools/dtd/sgml-tools ]; then
	rm -f %{_libdir}/sgml-tools/dtd/sgml-tools
fi
if [ -L %{_datadir}/sgml-tools/dtd/sgml-tools ]; then
	rm -f %{_datadir}/sgml-tools/dtd/sgml-tools
fi

%files
%defattr(644,root,root,755)
%doc doc/{html,guide*,example*,Makedoc.sh,README}
%{_datadir}/sgml-tools
%{perl_vendorlib}/Text/EntityMap.pm
%attr(755,root,root) %{_bindir}/rtf2rtf
%attr(755,root,root) %{_bindir}/sgmlpre
%attr(755,root,root) %{_bindir}/sgml2*
%attr(755,root,root) %{_bindir}/sgmltools.v1
%attr(755,root,root) %{_bindir}/sgmlcheck

%{_mandir}/man1/sgml2*.1*
%{_mandir}/man1/sgmlcheck.1*
%{_mandir}/man1/sgmltools.1*
%lang(pl) %{_mandir}/pl/man1/sgml2*.1*

%files -n sgmls
%defattr(644,root,root,755)
%doc sgmls-1.1/LICENSE sgmls-1.1/NEWS
%attr(755,root,root) %{_bindir}/rast
%attr(755,root,root) %{_bindir}/sgmls
%attr(755,root,root) %{_bindir}/sgmlsasp
%attr(755,root,root) %{_bindir}/sgmls.pl

%{_mandir}/man1/rast.1*
%{_mandir}/man1/sgmls.1*
%{_mandir}/man1/sgmlsasp.1*

%files dtd
%defattr(644,root,root,755)
%{_datadir}/sgml/sgml-tools
%{_datadir}/entity-map

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sgml-tools.spec,v $
Revision 1.56  2008/07/27 22:17:55  arekm
- release 22

Revision 1.55  2007-02-12 22:09:15  glen
- tabs in preamble

Revision 1.54  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.53  2005/07/14 11:05:49  baggins
- release 21
- killed jtz patch

Revision 1.52  2005/06/05 01:03:15  zbyniu
- BR: flex, rpm-perlprov

Revision 1.51  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.50  2004/10/29 10:29:13  paladine
- spelling fixes

Revision 1.49  2004/09/25 11:20:54  radek
- cosmetics (spaces -> tabs)

Revision 1.48  2004/03/11 13:37:10  qboosh
- more fixes in sgml-path patch (BTS#840, BTS#838)
- main R: sgml-common (as it uses iso-entities from -common)
- release 20

Revision 1.47  2004/02/10 14:16:06  qboosh
- added posix patch (to work with POSIX-enforcing version of coreutils)
- release 19

Revision 1.46  2004/01/11 17:44:54  jajcus
- typo fixed

Revision 1.45  2004/01/11 17:43:40  jajcus
- Release: 18
- more datadir-realted fixes
- iso-entities-8879.1986 removed from package as they are provided by sgml-common

Revision 1.44  2004/01/11 16:01:20  jajcus
- Release: 17

Revision 1.43  2004/01/11 16:00:33  jajcus
- _libdir}/sgml-tools moved to _datadir} there is no architecture-dependent file there

Revision 1.42  2004/01/02 18:03:11  jajcus
- Release: 16 (STBR after AMD64 fixes)

Revision 1.41  2003/12/25 14:06:21  jajcus
- %{_libdir} refewrence fixed in %post and %preun

Revision 1.40  2003/11/11 01:33:24  ankry
- caps unification, other cosmetics

Revision 1.39  2003/09/09 10:24:57  ankry
- spaces -> tab

Revision 1.38  2003/08/31 17:10:20  mmazur
- rel 15 for ac

Revision 1.37  2003/06/23 21:52:53  djrzulf
- ohm, i think it should be Freeware, not Dreeware ? :)

Revision 1.36  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 06:26:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/03/02 23:05:36  radek
- updated for perl-5.8; release 14

Revision 1.33  2003/01/30 18:36:31  radek
- removed empty changelog entry (rpm 4.1 complains)

Revision 1.32  2003/01/30 15:10:56  qboosh
- BR: groff (needed to generate working programs)
- killed subshells, cleanups

Revision 1.31  2002/11/30 23:00:27  juandon
- new %%doc

Revision 1.30  2002/05/21 23:14:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.29  2002/02/23 04:41:58  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:29:43  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:14:54  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/11/20 23:45:40  ankry
- added pl man pages
- release 13

Revision 1.25  2001/11/15 13:55:11  wiget
revert last change

Revision 1.23  2001/09/10 00:38:17  kloczek
- release 12.

Revision 1.22  2001/09/09 22:11:41  klakier
- requires sgmls

Revision 1.21  2001/07/16 00:11:31  qboosh
- run autoconf in 3 dirs (for new %%configure macro)

Revision 1.20  2001/07/15 16:45:28  qboosh
- added %%{_libdir}/perl5/Text dir (it's the only package that uses it)
- release 11

Revision 1.19  2001/04/17 12:19:12  baggins
- release 10
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/03/28 01:42:38  qboosh
- use rpm features (gzipping, stripping, macros)
- adapterized and some cosmetics

Revision 1.16  2000/12/28 15:21:03  baggins
- quiet setup
- use RPM_OPT_FLAGS

Revision 1.15  2000/12/04 10:29:08  mguevara
- 1.0.9 version
- jtz patch for JTZ project of HOWTO translations to Polish
- some (but not all) patches from RawHide

Revision 1.14  2000/08/11 10:08:45  mis
- added /usr/bin/nsgmls requirement

Revision 1.13  2000/06/25 11:29:57  klakier
- doc fixed

Revision 1.12  2000/06/25 11:08:36  klakier
- release 6
- doc rebuilding disabled (requires sgml-tools already installed)

Revision 1.11  2000/06/09 07:23:59  kloczek
- added using %%{__make} macro.

Revision 1.10  2000/04/01 13:46:33  cieciwa
- fixed BuildRequires.

Revision 1.9  2000/04/01 11:15:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  1999/07/28 12:51:11  kloczek
- fix: %postun (s/fi/if/).

Revision 1.6  1999/07/28 12:38:48  kloczek
- fixed %pst, %preun scripts (bash is nor required now).

Revision 1.5  1999/07/28 12:17:40  kloczek
- added Group(pl),
- cosmetic changes.

Revision 1.4  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.3  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Sep 8 1998 Ziemek Borowski <ziembor@faq-bot.ziembor.waw.pl>
- removed nsgmls (provides by jade)
- removed Entity Maps (provides by sgml-common)
- dtd moved to separate noarch package
- sgmls moved to separate binary package

* Wed Jul 01 1998 Hugo van der Kooij <hvdkooij@nllgg.nl>
- Updated to 1.0.7
- Removed the (silly) patch (thank you Donny, but Cees and I are Dutch ;-)

* Tue May 05 1998 Donnie Barnes <djb@redhat.com>

- changed default papersize to letter (from a4...sorry Europeans :-)
  use --papersize=a4 on any sgml2* command to change it or remove the
  patch from this spec file and rebuild.

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.0.6

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jan 12 1998 Donnie Barnes <djb@redhat.com>
- updated from 0.99 to 1.0.3
- added BuildRoot

* Sat Nov 01 1997 Donnie Barnes <djb@redhat.com>
- fixed man pages
